% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/delete.R
\name{delete}
\alias{delete}
\alias{ref_delete}
\alias{delete.Container}
\alias{ref_delete.Container}
\title{Delete Container Elements Safely}
\usage{
delete(.x, ...)

ref_delete(.x, ...)

\method{delete}{Container}(.x, ...)

\method{ref_delete}{Container}(.x, ...)
}
\arguments{
\item{.x}{any \code{R} object.}

\item{...}{elements to be deleted.}
}
\value{
For \code{Container}, an object of class \code{Container} (or one of the
respective derived classes).
}
\description{
Search and remove elements from an object. If the element is not found,
an error is signaled.
}
\examples{

s = setnew("a", 1:3, iris)
print(s)
delete(s, 1:3, "a")
delete(s, iris)
try({
delete(s, "b")  # "b" is not in Set
})
}
